4Suite™ API Documentation

# ► Module Ft.Xml.Xslt.TemplateElement

Implementation of the XSLT Spec template stylesheet element. WWW: http://4suite.org/4XSLT e-mail: support@4suite.org

    Copyright (c) 1999-2001 Fourthought Inc, USA.   All Rights Reserved.
    See  http://4suite.org/COPYRIGHT  for license and copyright information

Classes: TemplateElement |  |  |  | Globals: EMPTY_NAMESPACE, XSL_NAMESPACE

## Classes

class TemplateElement(Ft.Xml.Xslt.StylesheetTree.XsltElement)

  ### Methods

  getTemplateInfo(self, position)
  instantiate(self, context, processor, params=None)
    Overrides: instantiate from class XsltElement

  ### Methods inherited from class Ft.Xml.Xslt.StylesheetTree.XsltElement

  __init__, __str__, appendChild, expandQName, insertChild, parseAVT, parseExpression, parsePattern, processChildren, splitQName

  ### Methods inherited from class Ft.Xml.Xslt.StylesheetTree.XsltNode

  idle, isLastChild, isPseudoNode, pprint, prime, setup

  ### Members

  category = 1
  content = <Ft.Xml.Xslt.ContentInfo.Seq instance>
  legalAttrs = {'match': <Ft.Xml.Xslt.AttributeInfo.Pattern instance>, 'mode': <Ft.Xml.Xslt.AttributeInfo.QName instance>, 'name': <Ft.Xml.Xslt.AttributeInfo.QName instance>, 'priority': <Ft.Xml.Xslt.AttributeInfo.Number instance>}

  ### Members inherited from class Ft.Xml.Xslt.StylesheetTree.XsltElement

  validator

  ### Members inherited from class Ft.Xml.Xslt.StylesheetTree.XsltNode

  attributes, baseUri, children, columnNumber, doesIdle, doesPrime, doesSetup, expandedName, importIndex, lineNumber, nodeName, parent, root

## Globals

EMPTY_NAMESPACE = None
XSL_NAMESPACE = u'http://www.w3.org/1999/XSL/Transform'